org.apache.xmlbeans.impl.schema

## Class SchemaGlobalAttributeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaLocalAttributeImpl
  - - org.apache.xmlbeans.impl.schema.SchemaGlobalAttributeImpl

All Implemented Interfaces:
  SchemaAnnotated, SchemaComponent, SchemaField, SchemaGlobalAttribute, SchemaLocalAttribute, SchemaWSDLArrayType

    public class SchemaGlobalAttributeImpl
    extends SchemaLocalAttributeImpl
    implements SchemaGlobalAttribute

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.SchemaGlobalAttribute

`SchemaGlobalAttribute.Ref`

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.schema.SchemaLocalAttributeImpl

`_parseObject`

### Fields inherited from interface org.apache.xmlbeans.SchemaLocalAttribute

`OPTIONAL, PROHIBITED, REQUIRED`

### Fields inherited from interface org.apache.xmlbeans.SchemaComponent

`ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`SchemaGlobalAttributeImpl(org.apache.xmlbeans.impl.schema.SchemaContainer container)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getChameleonNamespace()`
`SchemaComponent.Ref` `getComponentRef()` Used for on-demand loading of schema components.
`int` `getComponentType()` Returns the type code for the schema object, either `SchemaComponent.TYPE`, `SchemaComponent.ELEMENT`, `SchemaComponent.ATTRIBUTE`, `SchemaComponent.ATTRIBUTE_GROUP`, `SchemaComponent.MODEL_GROUP`, `SchemaComponent.IDENTITY_CONSTRAINT`, or `SchemaComponent.NOTATION`.
`XmlObject` `getParseObject()`
`SchemaGlobalAttribute.Ref` `getRef()` Retruns a SchemaGlobalElement.Ref pointing to this element itself.
`String` `getSourceName()` The name of resource that represends the source .xsd in which this component was defined (if known) See: `SchemaTypeLoader.getSourceAsStream(String)` Example:
`String` `getTargetNamespace()`
`SchemaTypeSystem` `getTypeSystem()` Returns the typesystem within which this component definition resides
`void` `setFilename(String filename)`
`void` `setParseContext(XmlObject parseObject, String targetNamespace, boolean chameleon)`

### Methods inherited from class org.apache.xmlbeans.impl.schema.SchemaLocalAttributeImpl

`getAnnotation, getDefaultText, getDefaultValue, getMaxOccurs, getMinOccurs, getName, getType, getTypeRef, getUse, getUserData, getWSDLArrayType, init, isAttribute, isDefault, isFixed, isNillable, isTypeResolved, resolveTypeRef, setDefaultValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.SchemaLocalAttribute

`getUse`

### Methods inherited from interface org.apache.xmlbeans.SchemaField

`getDefaultText, getDefaultValue, getMaxOccurs, getMinOccurs, getName, getType, getUserData, isAttribute, isDefault, isFixed, isNillable`

### Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated

`getAnnotation`

### Methods inherited from interface org.apache.xmlbeans.SchemaComponent

`getName`

### Constructor Detail

#### SchemaGlobalAttributeImpl

    public SchemaGlobalAttributeImpl(org.apache.xmlbeans.impl.schema.SchemaContainer container)

### Method Detail

#### getTypeSystem

    public SchemaTypeSystem getTypeSystem()

Description copied from interface: `SchemaComponent`
Returns the typesystem within which this component definition resides

Specified by:
  `getTypeSystem` in interface `SchemaComponent`

#### getComponentType

    public int getComponentType()

Description copied from interface: `SchemaComponent`
Returns the type code for the schema object, either `SchemaComponent.TYPE`, `SchemaComponent.ELEMENT`, `SchemaComponent.ATTRIBUTE`, `SchemaComponent.ATTRIBUTE_GROUP`, `SchemaComponent.MODEL_GROUP`, `SchemaComponent.IDENTITY_CONSTRAINT`, or `SchemaComponent.NOTATION`.

Specified by:
  `getComponentType` in interface `SchemaComponent`

#### getSourceName

    public String getSourceName()

Description copied from interface: `SchemaComponent`
The name of resource that represends the source .xsd in which this component was defined (if known)
See: `SchemaTypeLoader.getSourceAsStream(String)`
Example:

       SchemaType schemaType = ..;
       InputStream is = schemaType.getTypeSystem().getSourceAsStream(schemaType.getSourceName());

Specified by:
  `getSourceName` in interface `SchemaComponent`

#### setFilename

    public void setFilename(String filename)

#### setParseContext

    public void setParseContext(XmlObject parseObject,
                                String targetNamespace,
                                boolean chameleon)

#### getParseObject

    public XmlObject getParseObject()

#### getTargetNamespace

    public String getTargetNamespace()

#### getChameleonNamespace

    public String getChameleonNamespace()

#### getRef

    public SchemaGlobalAttribute.Ref getRef()

Description copied from interface: `SchemaGlobalAttribute`
Retruns a SchemaGlobalElement.Ref pointing to this element itself.

Specified by:
  `getRef` in interface `SchemaGlobalAttribute`

#### getComponentRef

    public SchemaComponent.Ref getComponentRef()

Description copied from interface: `SchemaComponent`
Used for on-demand loading of schema components.

Specified by:
  `getComponentRef` in interface `SchemaComponent`